boolExit = False

Class SeListener
  Public intCookie
  
  Public Function OnSendStatusChanged(lCookie, varStatuses, bFinal)
     If Not bFinal Then
            Exit Function
        End If

        If intCookie<>lCookie Then
            Exit Function
        End If

        If IsEmpty(varStatuses) Or Not IsArray(varStatuses) Then
            MsgBox "Unable to send the message with ID " & CStr(lCookie) & "."
            Exit Function
        End If

        intLo = LBound(varStatuses,1)
        intHi = UBound(varStatuses,1)
                
        Dim intIndex
        For intIndex = intLo To intHi
            nStatus = CLng(varStatuses(intIndex, 1))
            If nStatus = 0 Then
                MsgBox "The message to " & varStatuses(intIndex, 0) & " was sent successfully."
            Else
                MsgBox "Unable to send the message to " & varStatuses(intIndex, 0) & "."
            End If
        Next
    boolExit = True
  End Function
End Class

Class MesssagesListener
  Public Function OnReceiveMessage(intMsgType, strFrom, strTo, strText)
  	MsgBox CStr(intMsgType) & VbCrLf  & strFrom & VbCrLf & strTo & VbCrLf & strText
  End Function
  
 Public Function OnServiceError(intErrType, lngErr, lngErrData, strName, strError)
     MsgBox CStr(intErrType) & VbCrLf & lngErr & VbCrLf & lngErrData & VbCrLf & strName & VbCrLf & strError
  End Function
End Class

'MsgBox "Started..."

Dim wmservice
Set wmservice = CreateObject("VyPRESS.WinMessenger.WmService")

Dim astrNames(0)
astrNames(0) = "USER_SEND"

Dim msg_listener
Set msg_listener = new MesssagesListener

Dim retVal
retVal = wmservice.AddNames(astrNames, msg_listener)

Dim listener
Set listener = new SeListener

Dim toNames(0)
toNames(0) = "USER2"

listener.intCookie = wmservice.SendTextMessage(1, toNames, "USER_SEND", "sent" & VbCrLf & "text 2", listener)
MsgBox "Sent message ID is " & lCookie

Do While Not boolExit 
    WScript.Sleep 100
Loop

wmservice.RemoveListener(msg_listener)